#!/usr/bin/env python3

from os import environ
from flask import Flask, request
from subprocess import check_output

app = Flask(__name__)

@app.route('/', methods = ['GET'])
def build():
    strategy = request.args['strategy']
    print(strategy, request.data)
    return check_output([f"/{environ['STRATEGIES_DIR']}/{strategy}", request.data])
